## org.Biocorba.Seqcore
Interface SeqFeature

All Known Implementing Classes:
  _SeqFeatureImplBase, _SeqFeatureStub

public interface SeqFeature
extends org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity, Unknown

Method Summary
`int` `end()`
`PrimarySeq` `get_PrimarySeq()`
`boolean` `PrimarySeq_is_available()`
`NameValueSet[]` `qualifiers()`
`java.lang.String` `seq_primary_id()`
`java.lang.String` `source()`
`int` `start()`
`short` `strand()`
`java.lang.String` `type()`

Methods inherited from interface GNOME.Unknown
`query_interface, ref, unref`

Method Detail

### type

    public java.lang.String type()

### source

    public java.lang.String source()

### seq_primary_id

    public java.lang.String seq_primary_id()

### start

    public int start()

### end

    public int end()

### strand

    public short strand()

### qualifiers

    public NameValueSet[] qualifiers()

### PrimarySeq_is_available

    public boolean PrimarySeq_is_available()

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq()
                              throws UnableToProcess